Index: /trunk/tests/phpunit/includes/bootstrap.php
===================================================================
--- /trunk/tests/phpunit/includes/bootstrap.php	(revision 42723)
+++ /trunk/tests/phpunit/includes/bootstrap.php	(revision 42724)
@@ -86,4 +86,6 @@
 // Allow tests to override wp_die
 tests_add_filter( 'wp_die_handler', '_wp_die_handler_filter' );
+// Use the Spy REST Server instead of default
+tests_add_filter( 'wp_rest_server_class', '_wp_rest_server_class_filter' );
 
 // Preset WordPress options defined in bootstrap file.
Index: /trunk/tests/phpunit/includes/functions.php
===================================================================
--- /trunk/tests/phpunit/includes/functions.php	(revision 42723)
+++ /trunk/tests/phpunit/includes/functions.php	(revision 42724)
@@ -181,4 +181,11 @@
 }
 
+/**
+ * Use the Spy_REST_Server class for the REST server.
+ */
+function _wp_rest_server_class_filter() {
+	return 'Spy_REST_Server';
+}
+
 // Skip `setcookie` calls in auth_cookie functions due to warning:
 // Cannot modify header information - headers already sent by ...
Index: /trunk/tests/phpunit/includes/testcase-rest-controller.php
===================================================================
--- /trunk/tests/phpunit/includes/testcase-rest-controller.php	(revision 42723)
+++ /trunk/tests/phpunit/includes/testcase-rest-controller.php	(revision 42724)
@@ -10,6 +10,6 @@
 		/** @var WP_REST_Server $wp_rest_server */
 		global $wp_rest_server;
-		$this->server = $wp_rest_server = new Spy_REST_Server;
-		do_action( 'rest_api_init' );
+		$wp_rest_server = new Spy_REST_Server;
+		do_action( 'rest_api_init', $wp_rest_server );
 	}
 
Index: /trunk/tests/phpunit/tests/oembed/controller.php
===================================================================
--- /trunk/tests/phpunit/tests/oembed/controller.php	(revision 42723)
+++ /trunk/tests/phpunit/tests/oembed/controller.php	(revision 42724)
@@ -46,7 +46,7 @@
 		/** @var WP_REST_Server $wp_rest_server */
 		global $wp_rest_server;
-		$this->server = $wp_rest_server = new Spy_REST_Server();
-
-		do_action( 'rest_api_init', $this->server );
+		$wp_rest_server = new Spy_REST_Server;
+		do_action( 'rest_api_init', $wp_rest_server );
+
 		add_filter( 'pre_http_request', array( $this, 'mock_embed_request' ), 10, 3 );
 		$this->request_count = 0;
@@ -55,4 +55,7 @@
 	public function tearDown() {
 		parent::tearDown();
+		/** @var WP_REST_Server $wp_rest_server */
+		global $wp_rest_server;
+		$wp_rest_server = null;
 
 		remove_filter( 'pre_http_request', array( $this, 'mock_embed_request' ), 10 );
@@ -180,5 +183,5 @@
 	public function test_route_availability() {
 		// Check the route was registered correctly.
-		$filtered_routes = $this->server->get_routes();
+		$filtered_routes = rest_get_server()->get_routes();
 		$this->assertArrayHasKey( '/oembed/1.0/embed', $filtered_routes );
 		$route = $filtered_routes['/oembed/1.0/embed'];
@@ -201,5 +204,5 @@
 		$request = new WP_REST_Request( 'POST', '/oembed/1.0/embed' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -210,5 +213,5 @@
 		$request = new WP_REST_Request( 'GET', '/oembed/1.0/embed' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -221,5 +224,5 @@
 		$request->set_param( 'url', 'http://google.com/' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -234,5 +237,5 @@
 		$request->set_param( 'format', 'random' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -258,5 +261,5 @@
 		$request->set_param( 'maxwidth', 400 );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -301,5 +304,5 @@
 		$request->set_param( 'maxwidth', 400 );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -346,5 +349,5 @@
 		$request->set_param( 'maxwidth', 400 );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -389,5 +392,5 @@
 		$request->set_param( 'maxwidth', 400 );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -415,6 +418,6 @@
 		$request->set_param( 'format', 'xml' );
 
-		$response = $this->server->dispatch( $request );
-		$output   = get_echo( '_oembed_rest_pre_serve_request', array( true, $response, $request, $this->server ) );
+		$response = rest_get_server()->dispatch( $request );
+		$output   = get_echo( '_oembed_rest_pre_serve_request', array( true, $response, $request, rest_get_server() ) );
 
 		$xml = simplexml_load_string( $output );
@@ -429,7 +432,7 @@
 		$request->set_param( 'format', 'json' );
 
-		$response = $this->server->dispatch( $request );
-
-		$this->assertTrue( _oembed_rest_pre_serve_request( true, $response, $request, $this->server ) );
+		$response = rest_get_server()->dispatch( $request );
+
+		$this->assertTrue( _oembed_rest_pre_serve_request( true, $response, $request, rest_get_server() ) );
 	}
 
@@ -441,7 +444,7 @@
 		$request->set_param( 'format', 'xml' );
 
-		$response = $this->server->dispatch( $request );
-
-		$this->assertTrue( _oembed_rest_pre_serve_request( true, $response, $request, $this->server ) );
+		$response = rest_get_server()->dispatch( $request );
+
+		$this->assertTrue( _oembed_rest_pre_serve_request( true, $response, $request, rest_get_server() ) );
 	}
 
@@ -478,5 +481,5 @@
 		// Test without a login.
 		$request  = new WP_REST_Request( 'GET', '/oembed/1.0/proxy' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 400, $response->get_status() );
@@ -486,5 +489,5 @@
 		$request = new WP_REST_Request( 'GET', '/oembed/1.0/proxy' );
 		$request->set_param( 'url', self::INVALID_OEMBED_URL );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 403, $response->get_status() );
@@ -497,5 +500,5 @@
 		$request = new WP_REST_Request( 'GET', '/oembed/1.0/proxy' );
 		$request->set_param( 'url', self::INVALID_OEMBED_URL );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 404, $response->get_status() );
 		$data = $response->get_data();
@@ -507,5 +510,5 @@
 		$request = new WP_REST_Request( 'GET', '/oembed/1.0/proxy' );
 		$request->set_param( 'type', 'xml' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 400, $response->get_status() );
@@ -519,10 +522,10 @@
 		$request->set_param( 'maxheight', 789 );
 		$request->set_param( '_wpnonce', wp_create_nonce( 'wp_rest' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 		$this->assertEquals( 1, $this->request_count );
 
 		// Subsequent request is cached and so it should not cause a request.
-		$this->server->dispatch( $request );
+		rest_get_server()->dispatch( $request );
 		$this->assertEquals( 1, $this->request_count );
 
@@ -534,5 +537,5 @@
 		$request->set_param( 'maxwidth', 456 );
 		$request->set_param( 'maxheight', 789 );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 1, $this->request_count );
 
@@ -555,5 +558,5 @@
 		$request->set_param( 'url', self::INVALID_OEMBED_URL );
 		$request->set_param( 'discover', 0 );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 404, $response->get_status() );
 		$this->assertEquals( 0, $this->request_count );
@@ -566,5 +569,5 @@
 		$request = new WP_REST_Request( 'GET', '/oembed/1.0/proxy' );
 		$request->set_param( 'url', self::INVALID_OEMBED_URL );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 404, $response->get_status() );
 		$this->assertEquals( 1, $this->request_count );
@@ -577,5 +580,5 @@
 		$request->set_param( 'discover', 'notaboolean' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 400, $response->get_status() );
Index: /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php
===================================================================
--- /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php	(revision 42723)
+++ /trunk/tests/phpunit/tests/rest-api/rest-attachments-controller.php	(revision 42724)
@@ -77,5 +77,5 @@
 
 	public function test_register_routes() {
-		$routes = $this->server->get_routes();
+		$routes = rest_get_server()->get_routes();
 		$this->assertArrayHasKey( '/wp/v2/media', $routes );
 		$this->assertCount( 2, $routes['/wp/v2/media'] );
@@ -128,5 +128,5 @@
 		// Collection
 		$request  = new WP_REST_Request( 'OPTIONS', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 'view', $data['endpoints'][0]['args']['context']['default'] );
@@ -140,5 +140,5 @@
 		);
 		$request       = new WP_REST_Request( 'OPTIONS', '/wp/v2/media/' . $attachment_id );
-		$response      = $this->server->dispatch( $request );
+		$response      = rest_get_server()->dispatch( $request );
 		$data          = $response->get_data();
 		$this->assertEquals( 'view', $data['endpoints'][0]['args']['context']['default'] );
@@ -148,5 +148,5 @@
 	public function test_registered_query_params() {
 		$request  = new WP_REST_Request( 'OPTIONS', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$keys     = array_keys( $data['endpoints'][0]['args'] );
@@ -195,5 +195,5 @@
 		);
 		$request  = new WP_REST_Request( 'OPTIONS', sprintf( '/wp/v2/media/%d', $id1 ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$keys     = array_keys( $data['endpoints'][0]['args'] );
@@ -225,5 +225,5 @@
 		);
 		$request        = new WP_REST_Request( 'GET', '/wp/v2/media' );
-		$response       = $this->server->dispatch( $request );
+		$response       = rest_get_server()->dispatch( $request );
 		$data           = $response->get_data();
 		$this->assertCount( 2, $data );
@@ -259,5 +259,5 @@
 		);
 		$request        = new WP_REST_Request( 'GET', '/wp/v2/media' );
-		$response       = $this->server->dispatch( $request );
+		$response       = rest_get_server()->dispatch( $request );
 
 		$data = $response->get_data();
@@ -276,14 +276,14 @@
 		);
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( $id1, $data[0]['id'] );
 		// media_type=video
 		$request->set_param( 'media_type', 'video' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertCount( 0, $response->get_data() );
 		// media_type=image
 		$request->set_param( 'media_type', 'image' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( $id1, $data[0]['id'] );
@@ -297,14 +297,14 @@
 		);
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( $id1, $data[0]['id'] );
 		// mime_type=image/png
 		$request->set_param( 'mime_type', 'image/png' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertCount( 0, $response->get_data() );
 		// mime_type=image/jpeg
 		$request->set_param( 'mime_type', 'image/jpeg' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( $id1, $data[0]['id'] );
@@ -327,10 +327,10 @@
 		// all attachments
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 2, count( $response->get_data() ) );
 		$request = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		// attachments without a parent
 		$request->set_param( 'parent', 0 );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 1, count( $data ) );
@@ -339,5 +339,5 @@
 		$request = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		$request->set_param( 'parent', $post_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 1, count( $data ) );
@@ -346,5 +346,5 @@
 		$request = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		$request->set_param( 'parent', REST_TESTS_IMPOSSIBLY_HIGH_NUMBER );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 0, count( $data ) );
@@ -362,5 +362,5 @@
 		$request->set_param( 'status', 'publish' );
 		$request->set_param( 'context', 'edit' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertCount( 3, $data );
@@ -380,9 +380,9 @@
 		$request        = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		$request->set_param( 'status', 'private' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 		// Properly authorized users can make the request
 		wp_set_current_user( self::$editor_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 		$data = $response->get_data();
@@ -409,9 +409,9 @@
 		$request        = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		$request->set_param( 'status', array( 'private', 'trash' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 		// Properly authorized users can make the request
 		wp_set_current_user( self::$editor_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 		$data = $response->get_data();
@@ -429,5 +429,5 @@
 		$request->set_param( 'after', rand_str() );
 		$request->set_param( 'before', rand_str() );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -458,5 +458,5 @@
 		$request->set_param( 'after', '2016-01-15T00:00:00Z' );
 		$request->set_param( 'before', '2016-01-17T00:00:00Z' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertCount( 1, $data );
@@ -473,5 +473,5 @@
 		update_post_meta( $attachment_id, '_wp_attachment_image_alt', 'Sample alt text' );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/media/' . $attachment_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->check_get_post_response( $response );
 		$data = $response->get_data();
@@ -491,5 +491,5 @@
 
 		$request            = new WP_REST_Request( 'GET', '/wp/v2/media/' . $attachment_id );
-		$response           = $this->server->dispatch( $request );
+		$response           = rest_get_server()->dispatch( $request );
 		$data               = $response->get_data();
 		$image_src          = wp_get_attachment_image_src( $attachment_id, 'rest-api-test' );
@@ -517,5 +517,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/media/' . $attachment_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		remove_filter( 'wp_get_attachment_image_src', '__return_false' );
@@ -535,5 +535,5 @@
 		);
 		$request    = new WP_REST_Request( 'GET', '/wp/v2/media/' . $id1 );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 401, $response->get_status() );
 	}
@@ -547,5 +547,5 @@
 		);
 		$request       = new WP_REST_Request( 'GET', sprintf( '/wp/v2/media/%d', $attachment_id ) );
-		$response      = $this->server->dispatch( $request );
+		$response      = rest_get_server()->dispatch( $request );
 		$data          = $response->get_data();
 
@@ -563,5 +563,5 @@
 		);
 		$request       = new WP_REST_Request( 'GET', sprintf( '/wp/v2/media/%d', $attachment_id ) );
-		$response      = $this->server->dispatch( $request );
+		$response      = rest_get_server()->dispatch( $request );
 
 		$this->assertErrorResponse( 'rest_forbidden', $response, 401 );
@@ -580,5 +580,5 @@
 
 		$request->set_body( file_get_contents( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -611,5 +611,5 @@
 		);
 		$request->set_header( 'Content-MD5', md5_file( $this->test_file2 ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 201, $response->get_status() );
 		$data = $response->get_data();
@@ -631,5 +631,5 @@
 		);
 		$request->set_header( 'Content-MD5', md5_file( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 201, $response->get_status() );
 	}
@@ -649,5 +649,5 @@
 		);
 		$request->set_header( 'Content-MD5', md5_file( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 201, $response->get_status() );
 	}
@@ -656,5 +656,5 @@
 		wp_set_current_user( self::$author_id );
 		$request  = new WP_REST_Request( 'POST', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_upload_no_data', $response, 400 );
 	}
@@ -664,5 +664,5 @@
 		$request = new WP_REST_Request( 'POST', '/wp/v2/media' );
 		$request->set_body( file_get_contents( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_upload_no_content_type', $response, 400 );
 	}
@@ -673,5 +673,5 @@
 		$request->set_header( 'Content-Type', 'image/jpeg' );
 		$request->set_body( file_get_contents( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_upload_no_content_disposition', $response, 400 );
 	}
@@ -684,5 +684,5 @@
 		$request->set_header( 'Content-MD5', 'abc123' );
 		$request->set_body( file_get_contents( $this->test_file ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_upload_hash_mismatch', $response, 412 );
 	}
@@ -702,5 +702,5 @@
 		);
 		$request->set_header( 'Content-MD5', 'abc123' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_upload_hash_mismatch', $response, 412 );
 	}
@@ -709,5 +709,5 @@
 		wp_set_current_user( self::$contributor_id );
 		$request  = new WP_REST_Request( 'POST', '/wp/v2/media' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_cannot_create', $response, 403 );
 	}
@@ -718,5 +718,5 @@
 		$request = new WP_REST_Request( 'POST', '/wp/v2/media' );
 		$request->set_param( 'post', $post_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_cannot_edit', $response, 403 );
 	}
@@ -727,5 +727,5 @@
 		$request = new WP_REST_Request( 'POST', '/wp/v2/media' );
 		$request->set_param( 'post', $post_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_cannot_edit', $response, 403 );
 	}
@@ -745,5 +745,5 @@
 		$request->set_body( file_get_contents( $this->test_file ) );
 		$request->set_param( 'post', $attachment_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -757,5 +757,5 @@
 		$request->set_body( file_get_contents( $this->test_file ) );
 		$request->set_param( 'alt_text', 'test alt text' );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$attachment = $response->get_data();
 		$this->assertEquals( 'test alt text', $attachment['alt_text'] );
@@ -769,5 +769,5 @@
 		$request->set_body( file_get_contents( $this->test_file ) );
 		$request->set_param( 'alt_text', '<script>alert(document.cookie)</script>' );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$attachment = $response->get_data();
 		$this->assertEquals( '', $attachment['alt_text'] );
@@ -788,5 +788,5 @@
 		$request->set_param( 'description', 'Without a description, my attachment is descriptionless.' );
 		$request->set_param( 'alt_text', 'Alt text is stored outside post schema.' );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$data       = $response->get_data();
 		$attachment = get_post( $data['id'] );
@@ -818,5 +818,5 @@
 		$request    = new WP_REST_Request( 'POST', '/wp/v2/media/' . $attachment_id );
 		$request->set_param( 'post', $new_parent );
-		$this->server->dispatch( $request );
+		rest_get_server()->dispatch( $request );
 
 		$attachment = get_post( $attachment_id );
@@ -835,5 +835,5 @@
 		$request       = new WP_REST_Request( 'POST', '/wp/v2/media/' . $attachment_id );
 		$request->set_param( 'caption', 'This is a better caption.' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_cannot_edit', $response, 403 );
 	}
@@ -857,5 +857,5 @@
 		$request       = new WP_REST_Request( 'POST', '/wp/v2/media/' . $attachment_id );
 		$request->set_param( 'post', $attachment_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -871,5 +871,5 @@
 			$request->set_param( $name, $value );
 		}
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 201, $response->get_status() );
 		$actual_output = $response->get_data();
@@ -903,5 +903,5 @@
 			$request->set_param( $name, $value );
 		}
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 		$actual_output = $response->get_data();
@@ -1121,5 +1121,5 @@
 		$request          = new WP_REST_Request( 'DELETE', '/wp/v2/media/' . $attachment_id );
 		$request['force'] = true;
-		$response         = $this->server->dispatch( $request );
+		$response         = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 	}
@@ -1136,9 +1136,9 @@
 		// Attempt trashing
 		$request  = new WP_REST_Request( 'DELETE', '/wp/v2/media/' . $attachment_id );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_trash_not_supported', $response, 501 );
 
 		$request->set_param( 'force', 'false' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_trash_not_supported', $response, 501 );
 
@@ -1158,5 +1158,5 @@
 		);
 		$request       = new WP_REST_Request( 'DELETE', '/wp/v2/media/' . $attachment_id );
-		$response      = $this->server->dispatch( $request );
+		$response      = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_cannot_delete', $response, 403 );
 	}
@@ -1173,5 +1173,5 @@
 		$attachment = get_post( $attachment_id );
 		$request    = new WP_REST_Request( 'GET', sprintf( '/wp/v2/media/%d', $attachment_id ) );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$data       = $response->get_data();
 		$this->check_post_data( $attachment, $data, 'view', $response->get_links() );
@@ -1181,5 +1181,5 @@
 	public function test_get_item_schema() {
 		$request    = new WP_REST_Request( 'OPTIONS', '/wp/v2/media' );
-		$response   = $this->server->dispatch( $request );
+		$response   = rest_get_server()->dispatch( $request );
 		$data       = $response->get_data();
 		$properties = $data['schema']['properties'];
@@ -1235,5 +1235,5 @@
 		$request = new WP_REST_Request( 'OPTIONS', '/wp/v2/media' );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertArrayHasKey( 'my_custom_int', $data['schema']['properties'] );
@@ -1249,5 +1249,5 @@
 		$request = new WP_REST_Request( 'GET', '/wp/v2/media/' . $attachment_id );
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertArrayHasKey( 'my_custom_int', $response->data );
 
@@ -1288,5 +1288,5 @@
 		);
 
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
@@ -1312,5 +1312,5 @@
 		$request = new WP_REST_Request( 'GET', '/wp/v2/media' );
 		$request->set_param( 'search', $filename );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
